%define major 1
%define libname %mklibname xdamage %{major}
%define develname %mklibname xdamage -d
%define staticdevelname %mklibname xdamage -d -s

Name: libxdamage
Summary:  X Damage  Library
Version: 1.1.1
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdamage-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxfixes-devel >= 3.0.1.2
BuildRequires: x11-proto-devel >= 1.2.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: chrpath

BuildRoot: %{_tmppath}/%{name}-root

%description
X Damage  Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary: X Damage Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
X Damage  Library.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Requires: libxfixes-devel >= 3.0.1.2
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %mklibname xdamage 1 -d

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXdamage.so
%{_libdir}/libXdamage.la
%{_libdir}/pkgconfig/xdamage.pc
%{_includedir}/X11/extensions/Xdamage.h

#-----------------------------------------------------------

%package -n %{staticdevelname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0
Obsoletes: %mklibname xdamage 1 -d -s

%description -n %{staticdevelname}
Static development files for %{name}.

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/libXdamage.a

#-----------------------------------------------------------

%prep
%setup -q -n libXdamage-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#(tpg) get rid of rpath
chrpath -d %{buildroot}%{_libdir}/libXdamage.so.*

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXdamage.so.%{major}*


%changelog
* Tue Jul 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 52788
- new devel library policy
- nuke rpath
- spec file clean
- new version


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1-1mdv2007.0
+ Revision: 116431
- new upstream version: 1.1

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.1
+ Revision: 85953
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

